Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SIMULIA/ABAQUS
  Skript optimieren, ShellLoft, Python

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Skript optimieren, ShellLoft, Python (2457 mal gelesen)
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
dabauer82
Mitglied



Sehen Sie sich das Profil von dabauer82 an!   Senden Sie eine Private Message an dabauer82  Schreiben Sie einen Gästebucheintrag für dabauer82

Beiträge: 121
Registriert: 22.11.2007

Pro/E WiFi3 M050
Win 7
ABQ 6-14

erstellt am: 16. Jun. 2011 15:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Punktewolken.zip

 
Hallo,

ich habe unten ein Script angehängt, mit dem es mir möglich ist, eine Punktewolke zu Splinen und zu Loften. Jetzt habe ich zwei drei Fragen zum weiteren Verlauf.

1) Wie kann ich denn dieses Shell nun zu einem Solid extruden. Wichtig ist mir dabei, dass der Solid-Körper eine Plane untere Fläche hat. Sprich ähnlich einem Würfel der die Topologie des Shells oben enthält? Kann meinen Shellkörper Sweepen oder Extruden oder muss ich Ihn mit einem Solid CutLoften?

2) Wie kann ich mein Script optimieren, dass ich nicht, wie jetzt, jeden Spline von Hand mit der festen y-Koordinate vorgeben muss. Dabei ist der Abstand, hier 18µm, nicht von Datei zu Datei konstant, siehe Zip.

3) Ausserdem verstehe ich nicht, warum ich bei ShellLoft die Edges in dieser komischen Reihenfolge angeben muss. Was mache ich denn, wenn ich 1000 Splines habe?

4) Generell dauert alles recht lange. Wie kann ich das Script allgemein beschleunigen?

Vielen Dank!

Code:


# Import Modules based on Abaqus Scripting User's Manual Example 1
## This statement makes the basic Abaqus objects accessible to the script. It also provides access to a default model database using
## the variable named mdb. The statement, from abaqusConstants import *, makes the Symbolic Constants defined by the Abaqus
## Scripting Interface available to the script.
from abaqus import *
from abaqusConstants import *

## These statements provide access to the objects related to sketches and parts. sketch and part are called Python modules.
import sketch
import part
backwardCompatibility.setValues(includeDeprecated=True, reportDeprecated=False)

# Import Modules by HWG
import testUtils
testUtils.setBackwardCompatibility()

# Define Path
myFolder = 'T:/Projekte/2011/ProFest/Abaqus/Python/Punktewolken/in/'
myFile = 'Probe_1_1_30x30.asc'
myGeometryData = myFolder+myFile

# Get Geometry
myDataFile = open(myGeometryData,'r')
myDataLines = myDataFile.readlines()
myPointList = [eval(dataLine) for dataLine in myDataLines]

# Create Skretch
##myGeometrySketch = abaqusModel.ConstrainedSketch(name = 'sketchWolke', sheetSize = 0.100)

# Clean Modeltree
#del mdb.models['Punktewolke']

# Konstruktor and Create Part
mdb.Model(name='Punktewolke').Part(name='Punkte')
Punktewolke = mdb.Model(name='Punktewolke').Part(name='Punkte')

Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.000 and elem is not None])))
Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.018 and elem is not None])))
Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.036 and elem is not None])))
Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.055 and elem is not None])))

e1 = Punktewolke.edges
Punktewolke.ShellLoft(loftsections=((e1[1], ), (e1[2], ), (e1[0], ), (e1[3], )), startCondition=NONE,endCondition=NONE)
#Punktewolke.ShellLoft(loftsections=((e1[0], ), (e1[1], ), (e1[2], ), (e1[3], )), startCondition=NONE,endCondition=NONE)

session.viewports['Viewport: 1'].setValues(displayedObject=Punktewolke)
#session.viewports['Viewport: 1'].forceRefresh()


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

adaptiveMesh
Mitglied



Sehen Sie sich das Profil von adaptiveMesh an!   Senden Sie eine Private Message an adaptiveMesh  Schreiben Sie einen Gästebucheintrag für adaptiveMesh

Beiträge: 66
Registriert: 25.05.2006

erstellt am: 17. Jun. 2011 16:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dabauer82 10 Unities + Antwort hilfreich

Du kannst ein Solid durch sweep "senkrecht" zu Deiner welligen "Ebene" aus der Loft-Operation erzeugen. Die so erzeugte untere Seite des Solids entspricht dann der obereren. Deswegen definierst Du dann noch eine Schnittebene und schneidest das Wellige ab.

Richtig: Die Nummerierung der Ebenen ist wirr.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dabauer82
Mitglied



Sehen Sie sich das Profil von dabauer82 an!   Senden Sie eine Private Message an dabauer82  Schreiben Sie einen Gästebucheintrag für dabauer82

Beiträge: 121
Registriert: 22.11.2007

Pro/E WiFi3 M050
Win 7
ABQ 6-14

erstellt am: 18. Jun. 2011 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wie kann ich den die Nummerierung der Ebenen in einer Schleife abarbeiten? wie ist denn das Muster?

Wegen dem Solid. Ich werde deinen Ansatz mal probieren. Zur >Zeit versuche ich einen Würfel zu extrudieren und mit der Ebene zu CutLoft-en, hoffe das funktioniert. Oder ist deine Idee eleganter?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz